# Pickup

 - [POST /api/shipment/pickup/add](https://docs.shipsaving.com/v2/openapi/pickup/addpickupbyshipment.md): Create a USPS Carrier Pickup request using existing shipment information. This endpoint schedules a postal carrier to pick up eligible packages on the next USPS delivery day. For all possible error co
 - [POST /api/shipment/pickup/cancel](https://docs.shipsaving.com/v2/openapi/pickup/cancelpickup.md): Cancel a previously scheduled carrier pick up. A carrier pickup can no longer be updated or cancelled once cancelled. It requires no additional parameters other than the `pickup_no`. The status will c
 - [GET /api/shipment/pickup/list](https://docs.shipsaving.com/v2/openapi/pickup/getpickuplist.md): Fetches a paginated list of pickup records created in the system. This endpoint supports optional filters such as USPS confirmation number, pickup status, and carrier code. Pagination parameters (`pag
 - [GET /api/shipment/pickup/package/location/list](https://docs.shipsaving.com/v2/openapi/pickup/getpackagelocation.md): Returns the list of valid package location enum values. These values indicate where the packages will be placed at the pickup address for the USPS carrier to retrieve during the scheduled pickup.
